Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1064576 - Review Request: python-freezegun - Let your Python tests travel through time
Summary: Review Request: python-freezegun - Let your Python tests travel through time
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1070933
Blocks: 964255
TreeView+ depends on / blocked
 
Reported: 2014-02-12 21:52 UTC by Ralph Bean
Modified: 2014-04-09 05:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-11 11:55:28 UTC
crobinso: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-02-12 21:52:53 UTC
Spec URL: http://ralph.fedorapeople.org//python-freezegun.spec
SRPM URL: http://ralph.fedorapeople.org//python-freezegun-0.1.12-1.fc20.src.rpm

Description:
python-freezegun is a library that allows your python tests to travel through
time by mocking the datetime module.

Comment 1 Ralph Bean 2014-02-12 21:52:56 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6523283

Comment 2 Cole Robinson 2014-02-26 17:20:54 UTC
fedora-review doesn't flag anything interesting, nothing major from manual review. minor bits:

- %{modname} can be used in Name: as well
- I've seen people use %{name} for Patch lines as well
- https://fedoraproject.org/wiki/Packaging:Python_Eggs#Providing_Eggs_using_Setuptools  : suggests simply doing %{python2_sitelib}/* in %files to catch the module and egg-info directory
- The package description doesn't explicitly distinguish python2/python3 besides including the package name.

But those are all minor points that I'll leave to your discretion. setting fedora-review+

Comment 3 Ralph Bean 2014-02-26 18:03:45 UTC
New Package SCM Request
=======================
Package Name: python-freezegun
Short Description: Let your Python tests travel through time
Owners: ralph
Branches: f20 f19 el6 epel7
InitialCC:

Comment 4 Gwyn Ciesla 2014-02-27 13:09:19 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2014-02-27 19:26:50 UTC
python-freezegun-0.1.12-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-freezegun-0.1.12-1.fc20

Comment 6 Fedora Update System 2014-03-11 04:02:36 UTC
python-freezegun-0.1.12-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 7 Fedora Update System 2014-03-17 13:51:29 UTC
python-freezegun-0.1.12-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-freezegun-0.1.12-1.el6

Comment 8 Fedora Update System 2014-04-09 05:25:16 UTC
python-freezegun-0.1.12-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.